org.apache.poi.hslf.record

## Class FontEntityAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.FontEntityAtom

- All Implemented Interfaces:
    GenericRecord

      public final class FontEntityAtom
      extends RecordAtom

  This atom corresponds exactly to a Windows Logical Font (LOGFONT) structure. It keeps all the information needed to define the attributes of a font, such as height, width, etc. For more information, consult the Windows API Programmer's reference.
  Author:
    Yegor Kozlov

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FontEntityAtom()` Create a new instance of `FontEntityAtom`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharSet()` get the character set
    `int` | `getFontFlags()` get the character set Bit 1: If set, font is subsetted
    `int` | `getFontIndex()`
    `java.lang.String` | `getFontName()` A null-terminated string that specifies the typeface name of the font.
    `int` | `getFontType()` get the font type
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `getPitchAndFamily()` get lfPitchAndFamily
    `long` | `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles
    `void` | `setCharSet(int charset)` set the character set
    `void` | `setFontFlags(int flags)` set the font flags Bit 1: If set, font is subsetted
    `void` | `setFontIndex(int idx)`
    `void` | `setFontName(java.lang.String name)` Set the name of the font.
    `void` | `setFontType(int type)` set the font type
    `void` | `setPitchAndFamily(int val)` set lfPitchAndFamily
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontEntityAtom

          public FontEntityAtom()

      Create a new instance of `FontEntityAtom`

  - ### Method Detail

    - #### getRecordType

          public long getRecordType()

      Description copied from class: `Record`
      Returns the type (held as a little endian in bytes 3 and 4) that this class handles
      Specified by:
        `getRecordType` in class `Record`

    - #### getFontName

          public java.lang.String getFontName()

      A null-terminated string that specifies the typeface name of the font. The length of this string must not exceed 32 characters including the null terminator.
      Returns:
        font name

    - #### setFontName

          public void setFontName(java.lang.String name)

      Set the name of the font. The length of this string must not exceed 32 characters including the null terminator. Will be converted to null-terminated if not already
      Parameters:
        `name` - of the font

    - #### setFontIndex

          public void setFontIndex(int idx)

    - #### getFontIndex

          public int getFontIndex()

    - #### setCharSet

          public void setCharSet(int charset)

      set the character set
      Parameters:
        `charset` - - characterset

    - #### getCharSet

          public int getCharSet()

      get the character set
      Returns:
        charset - characterset

    - #### setFontFlags

          public void setFontFlags(int flags)

      set the font flags Bit 1: If set, font is subsetted
      Parameters:
        `flags` - - the font flags

    - #### getFontFlags

          public int getFontFlags()

      get the character set Bit 1: If set, font is subsetted
      Returns:
        the font flags

    - #### setFontType

          public void setFontType(int type)

      set the font type

      Bit 1: Raster Font Bit 2: Device Font Bit 3: TrueType Font

      Parameters:
        `type` - - the font type

    - #### getFontType

          public int getFontType()

      get the font type

      Bit 1: Raster Font Bit 2: Device Font Bit 3: TrueType Font

      Returns:
        the font type

    - #### setPitchAndFamily

          public void setPitchAndFamily(int val)

      set lfPitchAndFamily
      Parameters:
        `val` - - Corresponds to the lfPitchAndFamily field of the Win32 API LOGFONT structure

    - #### getPitchAndFamily

          public int getPitchAndFamily()

      get lfPitchAndFamily
      Returns:
        corresponds to the lfPitchAndFamily field of the Win32 API LOGFONT structure

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.